Subject: Re: [PATCH] stmmac: reduce queue lengths if MTU is very large

From: Alessandro Rubini <[email-masked]>
Date: Tue, 20 Dec 2011 08:30:50 +0100

> This change doesn't make sense.

I disagree, but you are the boss here, so I accept that.

> I'm not applying this, it just points out that the amount of reserved
> space in your SWIOMMU setup might be insufficient for this situation
> rather than something that should be tweaked in this driver.

Allocation of the queues is based on a parameter. If the parameter was
a size, instead of a lenght, all would be fine, wouldn't it? If you
agree, then this patch is turning the lenght into a size, in a way.

Now, how could we deal with the fact that the size explodes if the MTU
is increased?  I don't want to reserve and waste 16MB of RAM for a
single device: the device won't even use them for non-jumbo setups.  I
can use the parameter to shorten the queue in all cases, but this is
not good either.

What's your suggestion?

thanks
/alessandro